#include "X3D_NURBSCreator.h"
#include "X3D_Contour2D.h"
#include "X3D_ContourPolyline2D.h"
#include "X3D_NurbsCurve.h"
#include "X3D_NurbsCurve2D.h"
#include "X3D_NurbsGroup.h"
#include "X3D_NurbsPositionInterpolator.h"
#include "X3D_NurbsSurface.h"
#include "X3D_NurbsTextureSurface.h"
#include "X3D_TrimmedSurface.h"

namespace X3DTK {
namespace X3D {

NURBSCreator::NURBSCreator()
{
  defineComponentName("NURBS", "X3D");

  define(Recorder<Contour2D>::getCreationFunction());
  define(Recorder<ContourPolyline2D>::getCreationFunction());
  define(Recorder<NurbsCurve>::getCreationFunction());
  define(Recorder<NurbsCurve2D>::getCreationFunction());
  define(Recorder<NurbsGroup>::getCreationFunction());
  define(Recorder<NurbsPositionInterpolator>::getCreationFunction());
  define(Recorder<NurbsSurface>::getCreationFunction());
  define(Recorder<NurbsTextureSurface>::getCreationFunction());
  define(Recorder<TrimmedSurface>::getCreationFunction());
}

NURBSCreator::~NURBSCreator()
{
}

}
}
