#include "X3D_Coordinate.h"

#include <iostream>

using namespace std;

namespace X3DTK {
namespace X3D {

Coordinate::Coordinate()
: X3DCoordinateNode()
{
  defineTypeName("Coordinate", "Rendering");
}

Coordinate::Coordinate(const MFVec3f &point)
: X3DCoordinateNode(), _point(point)
{
  defineTypeName("Coordinate", "Rendering");
}

Coordinate::Coordinate(const Coordinate &C)
: X3DCoordinateNode(C), _point(C._point)
{
}

SFAbstractNode Coordinate::clone() const
{
  return new Coordinate(*this);
}

Coordinate::~Coordinate()
{
}

void Coordinate::setPoint(const MFVec3f &point)
{
  _point = point;
}

void Coordinate::load(const X3DFileElement *element)
{
  int index;
  index = element->getIndexAttribute("point");
  if (index != -1)
    _point = MFVec3f(element->getAttribute(index));
}

SFString &Coordinate::write(SFString &output) const
{
  if (!_point.empty())
    output += " point=\"" + toSFString(_point) + "\"";
    
  return output;
}

}
}
