#include "X3D_Normal.h"

namespace X3DTK {
namespace X3D {

Normal::Normal()
: X3DNormalNode()
{
  defineTypeName("Normal", "Rendering");
}

Normal::Normal(const MFVec3f &vector)
: X3DNormalNode(), _vector(vector)
{
  defineTypeName("Normal", "Rendering");
}

Normal::Normal(const Normal &N)
: X3DNormalNode(N), _vector(N._vector)
{
}

SFAbstractNode Normal::clone() const
{
  return new Normal(*this);
}

Normal::~Normal()
{
}

void Normal::setVector(const MFVec3f &vector)
{
  _vector = vector;
}

void Normal::load(const X3DFileElement *element)
{ 
  int index;
  index = element->getIndexAttribute("vector");
  if (index != -1)
    _vector = MFVec3f(element->getAttribute(index));  
}

SFString &Normal::write(SFString &output) const
{
  if (!_vector.empty())
    output += " vector=\"" + toSFString(_vector) + "\"";
      
  return output;
}

}
}
