#include "GL_UpdaterCoreVisitor.h"
#include "GL_X3DNode.h"
#include "GL_Scene.h"

#include <iostream>

using namespace std;

namespace X3DTK {
namespace GL {

UpdaterCoreVisitor::UpdaterCoreVisitor()
: CoreVisitor()
{
  // Enter functions.
  define(Recorder<Scene>::getEnterFunction(&UpdaterCoreVisitor::enterScene));
  define(Recorder<X3DNode>::getEnterFunction(&UpdaterCoreVisitor::enterX3DNode));
}

void UpdaterCoreVisitor::enterScene(Scene *S) 
{
  UpdaterStateVariables *stateVariables = Singleton<UpdaterStateVariables>::getInstance();
  S->update();
  
  if (chdir(S->getFileName().getPath()) != 0)
    cx3d << "GL::GLBuilderCoreVisitor::enterScene: unable to set the current working directory to " << S->getFileName().getPath() << "!" << endl; 
}

void UpdaterCoreVisitor::enterX3DNode(X3DNode *N) 
{
  UpdaterStateVariables *stateVariables = Singleton<UpdaterStateVariables>::getInstance();
  N->update();
}

}
}
