#include "X3D_BBoxUpdater.h"
#include "X3D_BBoxUpdaterCoreVisitor.h"
#include "X3D_BBoxUpdaterGeometry3DVisitor.h"
#include "X3D_BBoxUpdaterGroupingVisitor.h"
#include "X3D_BBoxUpdaterRenderingVisitor.h"
#include "X3D_BBoxUpdaterShapeVisitor.h"
#include "X3D_BBoxUpdaterNavigationVisitor.h"

#include <iostream>
using namespace std;

namespace X3DTK {
namespace X3D {

BBoxUpdater::BBoxUpdater()
: X3DBBoxUpdater()
{
  stateVariables = Singleton<BBoxUpdaterStateVariables>::getInstance();
    
  graphTraversal = new DFSGraphTraversal();
  graphTraversal->setComponentVisitor(new BBoxUpdaterCoreVisitor());
  graphTraversal->setComponentVisitor(new BBoxUpdaterGeometry3DVisitor());
  graphTraversal->setComponentVisitor(new BBoxUpdaterGroupingVisitor());
  graphTraversal->setComponentVisitor(new BBoxUpdaterRenderingVisitor());
  graphTraversal->setComponentVisitor(new BBoxUpdaterShapeVisitor());
  graphTraversal->setComponentVisitor(new BBoxUpdaterNavigationVisitor());
}

BBoxUpdater::~BBoxUpdater()
{
  Singleton<BBoxUpdaterStateVariables>::removeInstance();

  delete graphTraversal;
}

void BBoxUpdater::update(SFNode N, bool staticProcessing)
{
  stateVariables->setStaticProcessing(staticProcessing);
  graphTraversal->traverse(N);
  stateVariables->finish();
}

}
}
