#include "X3D_InlineLoaderCoreVisitor.h"
#include "X3D_Scene.h"
#include "X3D_X3DNode.h"

#include <iostream>

using namespace std;

namespace X3DTK {
namespace X3D {

InlineLoaderCoreVisitor::InlineLoaderCoreVisitor()
: CoreVisitor()
{
  // Enter functions.
  define(Recorder<Scene>::getEnterFunction(&InlineLoaderCoreVisitor::enterScene));
  define(Recorder<X3DNode>::getEnterFunction(&InlineLoaderCoreVisitor::enterX3DNode));

  // Leave functions.
  define(Recorder<X3DNode>::getLeaveFunction(&InlineLoaderCoreVisitor::leaveX3DNode));
}

void InlineLoaderCoreVisitor::enterScene(Scene *S) 
{
  enterX3DNode(S);
  char *cwd = (char *)malloc(65535);
  char *value = getcwd(cwd, 65535);
  
  if (value == 0)
  {
    cx3d << "InlineLoaderCoreVisitor::enterScene: unable to get current working directory!" << endl;
    return;
  }  
  
  Singleton<InlineLoaderStateVariables>::getInstance()->setPath(SFString(cwd));

  free(cwd);
  
  if (chdir(S->getFileName().getPath()) != 0)
  {
    cx3d << "InlineLoaderCoreVisitor::enterScene: unable to set the current working directory to !" << S->getFileName().getPath() << endl;
    return;
  }
}

void InlineLoaderCoreVisitor::enterX3DNode(X3DNode *N) 
{
  Singleton<InlineLoaderStateVariables>::getInstance()->pushNode(N);
}

void InlineLoaderCoreVisitor::leaveX3DNode(X3DNode *) 
{
  Singleton<InlineLoaderStateVariables>::getInstance()->popNode();
}

void InlineLoaderCoreVisitor::leaveScene(Scene *S) 
{
  if (chdir(Singleton<InlineLoaderStateVariables>::getInstance()->getPath()) != 0)
  {
    cx3d << "InlineLoaderCoreVisitor::leaveScene: unable to set the current working directory to !" << Singleton<InlineLoaderStateVariables>::getInstance()->getPath() << endl;
    return;
  }

  leaveX3DNode(S);
}

}
}
