include(X3DToolKit.pri)
TEMPLATE = lib
TARGET = X3DTK
contains(DEFINES, XERCES) {
  CONFIG -= qt
} else {
contains(DEFINES, LIBXML) {
  CONFIG -= qt
} else {
  CONFIG *= qt
}
}
CONFIG *= opengl thread release
win32:CONFIG += dll rtti
win32:DEFINES += X3DTK_EXPORTS
unix:QMAKE_CFLAGS_RELEASE -= -g
unix:QMAKE_CXXFLAGS_RELEASE -= -g
VERSION = 0.6.0

DESTDIR  = ../lib
OBJECTS_DIR = ../obj

INCLUDEPATH += ../include/X3DTK
INCLUDEPATH += ../include/X3DTK/private
win32:INCLUDEPATH += ../contrib/jpeg
win32:INCLUDEPATH += ../contrib/xerces-c_2_3_0-win32/include

HEADERS += functionalities/generic/Cloner/ClonerAbstractVisitor.h
HEADERS += functionalities/generic/Cloner/Cloner.h
HEADERS += functionalities/generic/Cloner/ClonerStateVariables.h
HEADERS += functionalities/generic/commonProcessors/GL_X3DRenderer.h
HEADERS += functionalities/generic/commonProcessors/GL_X3DUpdater.h
HEADERS += functionalities/generic/commonProcessors/X3DMemReleaser.h
HEADERS += functionalities/generic/commonProcessors/X3D_X3DBBoxUpdater.h
HEADERS += functionalities/generic/commonProcessors/X3D_X3DFileValidator.h
HEADERS += functionalities/generic/commonProcessors/X3D_X3DGLBuilder.h
HEADERS += functionalities/generic/commonProcessors/X3D_X3DSceneSaver.h
HEADERS += functionalities/generic/GraphTester/GraphTesterAbstractVisitor.h
HEADERS += functionalities/generic/GraphTester/GraphTester.h
HEADERS += functionalities/generic/GraphTester/GraphTesterStateVariables.h
HEADERS += functionalities/generic/MemReleaser/MemReleaserAbstractVisitor.h
HEADERS += functionalities/generic/MemReleaser/MemReleaser.h
HEADERS += functionalities/generic/MemReleaser/MemReleaserStateVariables.h
HEADERS += functionalities/generic/SimpleX3DGLScene/SimpleX3DGLScene.h
HEADERS += functionalities/generic/SimplifiedMeshScene/SimplifiedMeshScene.h
HEADERS += functionalities/GL/GL_Renderer/GL_BBoxDrawArray.h
HEADERS += functionalities/GL/GL_Renderer/GL_BBox.h
HEADERS += functionalities/GL/GL_Renderer/GL_RendererCoreVisitor.h
HEADERS += functionalities/GL/GL_Renderer/GL_RendererGroupingVisitor.h
HEADERS += functionalities/GL/GL_Renderer/GL_Renderer.h
HEADERS += functionalities/GL/GL_Renderer/GL_RendererRenderingVisitor.h
HEADERS += functionalities/GL/GL_Renderer/GL_RendererShapeVisitor.h
HEADERS += functionalities/GL/GL_Renderer/GL_RendererStateVariables.h
HEADERS += functionalities/GL/GL_Renderer/GL_RendererTexturingVisitor.h
HEADERS += functionalities/GL/GL_Updater/GL_UpdaterCoreVisitor.h
HEADERS += functionalities/GL/GL_Updater/GL_Updater.h
HEADERS += functionalities/GL/GL_Updater/GL_UpdaterStateVariables.h
HEADERS += functionalities/MESH/MESH_ConnectedComComputer/MESH_ConnectedComComputerCoreVisitor.h
HEADERS += functionalities/MESH/MESH_ConnectedComComputer/MESH_ConnectedComComputer.h
HEADERS += functionalities/MESH/MESH_ConnectedComComputer/MESH_ConnectedComComputerMeshCoreVisitor.h
HEADERS += functionalities/MESH/MESH_ConnectedComComputer/MESH_ConnectedComComputerStateVariables.h
HEADERS += functionalities/MESH/MESH_EdgesDrawer/MESH_EdgesDrawerCoreVisitor.h
HEADERS += functionalities/MESH/MESH_EdgesDrawer/MESH_EdgesDrawer.h
HEADERS += functionalities/MESH/MESH_EdgesDrawer/MESH_EdgesDrawerStateVariables.h
HEADERS += functionalities/MESH/MESH_FacesDrawer/MESH_FacesDrawerCoreVisitor.h
HEADERS += functionalities/MESH/MESH_FacesDrawer/MESH_FacesDrawer.h
HEADERS += functionalities/MESH/MESH_FacesDrawer/MESH_FacesDrawerStateVariables.h
HEADERS += functionalities/MESH/MESH_MeshSimplifier/MESH_MeshSimplifierCoreVisitor.h
HEADERS += functionalities/MESH/MESH_MeshSimplifier/MESH_MeshSimplifier.h
HEADERS += functionalities/MESH/MESH_MeshSimplifier/MESH_MeshSimplifierStateVariables.h
HEADERS += functionalities/MESH/MESH_NormalsDrawer/MESH_NormalsDrawerCoreVisitor.h
HEADERS += functionalities/MESH/MESH_NormalsDrawer/MESH_NormalsDrawer.h
HEADERS += functionalities/MESH/MESH_NormalsDrawer/MESH_NormalsDrawerStateVariables.h
HEADERS += functionalities/MESH/MESH_NormalsFlipper/MESH_NormalsFlipperCoreVisitor.h
HEADERS += functionalities/MESH/MESH_NormalsFlipper/MESH_NormalsFlipper.h
HEADERS += functionalities/MESH/MESH_NormalsFlipper/MESH_NormalsFlipperStateVariables.h
HEADERS += functionalities/MESH/MESH_NormalsInverter/MESH_NormalsInverterCoreVisitor.h
HEADERS += functionalities/MESH/MESH_NormalsInverter/MESH_NormalsInverter.h
HEADERS += functionalities/MESH/MESH_NormalsInverter/MESH_NormalsInverterStateVariables.h
HEADERS += functionalities/MESH/MESH_NormalsUpdater/MESH_NormalsUpdaterFacesCoreVisitor.h
HEADERS += functionalities/MESH/MESH_NormalsUpdater/MESH_NormalsUpdater.h
HEADERS += functionalities/MESH/MESH_NormalsUpdater/MESH_NormalsUpdaterStateVariables.h
HEADERS += functionalities/MESH/MESH_NormalsUpdater/MESH_NormalsUpdaterVerticesCoreVisitor.h
HEADERS += functionalities/MESH/MESH_StatsCalculator/MESH_Info.h
HEADERS += functionalities/MESH/MESH_StatsCalculator/MESH_StatsCalculatorCoreVisitor.h
HEADERS += functionalities/MESH/MESH_StatsCalculator/MESH_StatsCalculator.h
HEADERS += functionalities/MESH/MESH_StatsCalculator/MESH_StatsCalculatorStateVariables.h
HEADERS += functionalities/MESH/MESH_VerticesDrawer/MESH_VerticesDrawerCoreVisitor.h
HEADERS += functionalities/MESH/MESH_VerticesDrawer/MESH_VerticesDrawer.h
HEADERS += functionalities/MESH/MESH_VerticesDrawer/MESH_VerticesDrawerStateVariables.h
HEADERS += functionalities/MESH/MESH_X3DBuilder/MESH_X3DBuilderCoreVisitor.h
HEADERS += functionalities/MESH/MESH_X3DBuilder/MESH_X3DBuilder.h
HEADERS += functionalities/MESH/MESH_X3DBuilder/MESH_X3DBuilderStateVariables.h
HEADERS += functionalities/X3D/X3D_BBoxUpdater/X3D_BBoxUpdaterCoreVisitor.h
HEADERS += functionalities/X3D/X3D_BBoxUpdater/X3D_BBoxUpdaterGeometry3DVisitor.h
HEADERS += functionalities/X3D/X3D_BBoxUpdater/X3D_BBoxUpdaterGroupingVisitor.h
HEADERS += functionalities/X3D/X3D_BBoxUpdater/X3D_BBoxUpdater.h
HEADERS += functionalities/X3D/X3D_BBoxUpdater/X3D_BBoxUpdaterNavigationVisitor.h
HEADERS += functionalities/X3D/X3D_BBoxUpdater/X3D_BBoxUpdaterRenderingVisitor.h
HEADERS += functionalities/X3D/X3D_BBoxUpdater/X3D_BBoxUpdaterShapeVisitor.h
HEADERS += functionalities/X3D/X3D_BBoxUpdater/X3D_BBoxUpdaterStateVariables.h
HEADERS += functionalities/X3D/X3D_CoordMerger/X3D_CoordMerger.h
HEADERS += functionalities/X3D/X3D_CoordMerger/X3D_CoordMergerRenderingVisitor.h
HEADERS += functionalities/X3D/X3D_CoordMerger/X3D_CoordMergerStateVariables.h
HEADERS += functionalities/X3D/X3D_FileValidator/X3D_FileValidatorCoreVisitor.h
HEADERS += functionalities/X3D/X3D_FileValidator/X3D_FileValidatorGeometry3DVisitor.h
HEADERS += functionalities/X3D/X3D_FileValidator/X3D_FileValidator.h
HEADERS += functionalities/X3D/X3D_FileValidator/X3D_FileValidatorStateVariables.h
HEADERS += functionalities/X3D/X3D_GLBuilder/X3D_GLBuilderCoreVisitor.h
HEADERS += functionalities/X3D/X3D_GLBuilder/X3D_GLBuilderGeometry3DVisitor.h
HEADERS += functionalities/X3D/X3D_GLBuilder/X3D_GLBuilderGroupingVisitor.h
HEADERS += functionalities/X3D/X3D_GLBuilder/X3D_GLBuilder.h
HEADERS += functionalities/X3D/X3D_GLBuilder/X3D_GLBuilderNavigationVisitor.h
HEADERS += functionalities/X3D/X3D_GLBuilder/X3D_GLBuilderRenderingVisitor.h
HEADERS += functionalities/X3D/X3D_GLBuilder/X3D_GLBuilderShapeVisitor.h
HEADERS += functionalities/X3D/X3D_GLBuilder/X3D_GLBuilderStateVariables.h
HEADERS += functionalities/X3D/X3D_GLBuilder/X3D_GLBuilderTexturingVisitor.h
HEADERS += functionalities/X3D/X3D_InlineLoader/X3D_InlineLoaderCoreVisitor.h
HEADERS += functionalities/X3D/X3D_InlineLoader/X3D_InlineLoader.h
HEADERS += functionalities/X3D/X3D_InlineLoader/X3D_InlineLoaderNetworkingVisitor.h
HEADERS += functionalities/X3D/X3D_InlineLoader/X3D_InlineLoaderStateVariables.h
HEADERS += functionalities/X3D/X3D_MeshBuilder/X3D_MeshBuilderCoreVisitor.h
HEADERS += functionalities/X3D/X3D_MeshBuilder/X3D_MeshBuilderGeometry3DVisitor.h
HEADERS += functionalities/X3D/X3D_MeshBuilder/X3D_MeshBuilderGroupingVisitor.h
HEADERS += functionalities/X3D/X3D_MeshBuilder/X3D_MeshBuilder.h
HEADERS += functionalities/X3D/X3D_MeshBuilder/X3D_MeshBuilderRenderingVisitor.h
HEADERS += functionalities/X3D/X3D_MeshBuilder/X3D_MeshBuilderShapeVisitor.h
HEADERS += functionalities/X3D/X3D_MeshBuilder/X3D_MeshBuilderStateVariables.h
HEADERS += functionalities/X3D/X3D_SceneSaver/X3D_SceneSaverGetCoreVisitor.h
HEADERS += functionalities/X3D/X3D_SceneSaver/X3D_SceneSaver.h
HEADERS += functionalities/X3D/X3D_SceneSaver/X3D_SceneSaverSetCoreVisitor.h
HEADERS += functionalities/X3D/X3D_SceneSaver/X3D_SceneSaverStateVariables.h
HEADERS += functionalities/X3D/X3D_SceneSaver/X3D_SceneSaverWriteCoreVisitor.h
HEADERS += functionalities/X3D/X3D_SharedCoordComputer/X3D_SharedCoordComputer.h
HEADERS += functionalities/X3D/X3D_SharedCoordComputer/X3D_SharedCoordComputerRenderingVisitor.h
HEADERS += functionalities/X3D/X3D_SharedCoordComputer/X3D_SharedCoordComputerStateVariables.h
HEADERS += functionalities/X3D/X3D_WorldCoordTranslator/X3D_WorldCoordTranslator.h
HEADERS += functionalities/X3D/X3D_WorldCoordTranslator/X3D_WorldCoordTranslatorMulCoreVisitor.h
HEADERS += functionalities/X3D/X3D_WorldCoordTranslator/X3D_WorldCoordTranslatorMulGroupingVisitor.h
HEADERS += functionalities/X3D/X3D_WorldCoordTranslator/X3D_WorldCoordTranslatorMulNavigationVisitor.h
HEADERS += functionalities/X3D/X3D_WorldCoordTranslator/X3D_WorldCoordTranslatorMulRenderingVisitor.h
HEADERS += functionalities/X3D/X3D_WorldCoordTranslator/X3D_WorldCoordTranslatorReplaceGroupingVisitor.h
HEADERS += functionalities/X3D/X3D_WorldCoordTranslator/X3D_WorldCoordTranslatorShareCoreVisitor.h
HEADERS += functionalities/X3D/X3D_WorldCoordTranslator/X3D_WorldCoordTranslatorStateVariables.h
HEADERS += GLSceneGraph/base/GL_SceneGraphTypes.h
HEADERS += GLSceneGraph/componentActors/GL_CoreVisitor.h
HEADERS += GLSceneGraph/componentActors/GL_Geometry3DVisitor.h
HEADERS += GLSceneGraph/componentActors/GL_GroupingVisitor.h
HEADERS += GLSceneGraph/componentActors/GL_RenderingVisitor.h
HEADERS += GLSceneGraph/componentActors/GL_ShapeVisitor.h
HEADERS += GLSceneGraph/componentActors/GL_TexturingVisitor.h
HEADERS += GLSceneGraph/nodes/Core/GL_Scene.h
HEADERS += GLSceneGraph/nodes/Core/GL_X3DNode.h
HEADERS += GLSceneGraph/nodes/Geometry3D/BoxDrawArray.h
HEADERS += GLSceneGraph/nodes/Geometry3D/ConeDrawArray.h
HEADERS += GLSceneGraph/nodes/Geometry3D/CylinderDrawArray.h
HEADERS += GLSceneGraph/nodes/Geometry3D/GL_Box.h
HEADERS += GLSceneGraph/nodes/Geometry3D/GL_Cone.h
HEADERS += GLSceneGraph/nodes/Geometry3D/GL_Cylinder.h
HEADERS += GLSceneGraph/nodes/Geometry3D/GL_IndexedFaceSet.h
HEADERS += GLSceneGraph/nodes/Geometry3D/GL_Sphere.h
HEADERS += GLSceneGraph/nodes/Geometry3D/SphereDrawArray.h
HEADERS += GLSceneGraph/nodes/Grouping/GL_Group.h
HEADERS += GLSceneGraph/nodes/Grouping/GL_StaticGroup.h
HEADERS += GLSceneGraph/nodes/Grouping/GL_Switch.h
HEADERS += GLSceneGraph/nodes/Grouping/GL_Transform.h
HEADERS += GLSceneGraph/nodes/Grouping/GL_X3DChildNode.h
HEADERS += GLSceneGraph/nodes/Grouping/GL_X3DGroupingNode.h
HEADERS += GLSceneGraph/nodes/Rendering/GL_IndexedLineSet.h
HEADERS += GLSceneGraph/nodes/Rendering/GL_PointSet.h
HEADERS += GLSceneGraph/nodes/Rendering/GL_TriangleFanSet.h
HEADERS += GLSceneGraph/nodes/Rendering/GL_TriangleSet.h
HEADERS += GLSceneGraph/nodes/Rendering/GL_TriangleStripSet.h
HEADERS += GLSceneGraph/nodes/Rendering/GL_X3DComposedGeometryNode.h
HEADERS += GLSceneGraph/nodes/Rendering/GL_X3DGeometry3DNode.h
HEADERS += GLSceneGraph/nodes/Rendering/GL_X3DGeometryNode.h
HEADERS += GLSceneGraph/nodes/Shape/GL_Appearance.h
HEADERS += GLSceneGraph/nodes/Shape/GL_FillProperties.h
HEADERS += GLSceneGraph/nodes/Shape/GL_LineProperties.h
HEADERS += GLSceneGraph/nodes/Shape/GL_Material.h
HEADERS += GLSceneGraph/nodes/Shape/GL_Shape.h
HEADERS += GLSceneGraph/nodes/Shape/GL_X3DAppearanceChildNode.h
HEADERS += GLSceneGraph/nodes/Shape/GL_X3DAppearanceNode.h
HEADERS += GLSceneGraph/nodes/Shape/GL_X3DMaterialNode.h
HEADERS += GLSceneGraph/nodes/Shape/GL_X3DShapeNode.h
HEADERS += GLSceneGraph/nodes/Texturing/GL_ImageTexture.h
HEADERS += GLSceneGraph/nodes/Texturing/GL_TextureTransform.h
HEADERS += GLSceneGraph/nodes/Texturing/GL_X3DTexture2DNode.h
HEADERS += GLSceneGraph/nodes/Texturing/GL_X3DTextureNode.h
HEADERS += GLSceneGraph/nodes/Texturing/GL_X3DTextureTransform2DNode.h
HEADERS += GLSceneGraph/nodes/Texturing/GL_X3DTextureTransformNode.h
HEADERS += kernel/abstractNode/CreationFunction.h
HEADERS += kernel/abstractNode/SFComponent.h
HEADERS += kernel/abstractNode/SFSceneGraph.h
HEADERS += kernel/abstractNode/SFType.h
HEADERS += kernel/abstractNode/X3DAbstractNode.h
HEADERS += kernel/image/Image.h
HEADERS += kernel/image/JPGImageType.h
HEADERS += kernel/processor/AbstractVisitor.h
HEADERS += kernel/processor/BaseRecorder.h
HEADERS += kernel/processor/DFSGraphTraversal.h
HEADERS += kernel/processor/DFSWalker.h
HEADERS += kernel/processor/EnterFunction.h
HEADERS += kernel/processor/GraphTraversal.h
HEADERS += kernel/processor/LeaveFunction.h
HEADERS += kernel/processor/NodeFactory.h
HEADERS += kernel/processor/ProcessHistory.h
HEADERS += kernel/processor/Progress.h
HEADERS += kernel/processor/Recorder.h
HEADERS += kernel/processor/Singleton.h
HEADERS += kernel/processor/StateVariables.h
HEADERS += kernel/processor/VisitingFunctions.h
HEADERS += kernel/processor/Visitor.h
HEADERS += kernel/processor/Walker.h
HEADERS += kernel/processor/WalkOnFunction.h
HEADERS += kernel/processor/X3DActor.h
HEADERS += kernel/processor/X3DComponent.h
HEADERS += kernel/processor/X3DComponentVisitor.h
HEADERS += kernel/processor/X3DFunction.h
HEADERS += kernel/processor/X3DMultiPassProcessor.h
HEADERS += kernel/processor/X3DOnePassProcessor.h
HEADERS += kernel/processor/X3DProcessor.h
HEADERS += kernel/types/BBox.h
HEADERS += kernel/types/CLog.h
HEADERS += kernel/types/Platform.h
HEADERS += kernel/types/Route.h
HEADERS += kernel/types/SFMatrix34f.h
HEADERS += kernel/types/SFPoint2f.h
HEADERS += kernel/types/SFPoint3f.h
HEADERS += kernel/types/SFString.h
HEADERS += kernel/types/SFVec2f.h
HEADERS += kernel/types/SFVec3f.h
HEADERS += kernel/types/TypeList.h
HEADERS += kernel/types/X3DBaseTypes.h
HEADERS += kernel/types/X3DFileElement.h
HEADERS += kernel/types/X3DTypes.h
HEADERS += kernel/types/X3DTypesToSFString.h
HEADERS += MeshSceneGraph/base/MESH_BaseSFEdge.h
HEADERS += MeshSceneGraph/base/MESH_BaseSFFace.h
HEADERS += MeshSceneGraph/base/MESH_BaseSFVertex.h
HEADERS += MeshSceneGraph/base/MESH_SceneGraphTypes.h
HEADERS += MeshSceneGraph/base/MESH_SFDirectEdge.h
HEADERS += MeshSceneGraph/base/MESH_SFEdgeContent.h
HEADERS += MeshSceneGraph/base/MESH_SFEdge.h
HEADERS += MeshSceneGraph/base/MESH_SFFace.h
HEADERS += MeshSceneGraph/base/MESH_SFIndirectEdge.h
HEADERS += MeshSceneGraph/base/MESH_SFVertex.h
HEADERS += MeshSceneGraph/componentActors/MESH_CoreVisitor.h
HEADERS += MeshSceneGraph/nodes/Core/MESH_MeshData.h
HEADERS += MeshSceneGraph/nodes/Core/MESH_Mesh.h
HEADERS += MeshSceneGraph/nodes/Core/MESH_Scene.h
HEADERS += MeshSceneGraph/nodes/Core/MESH_Shape.h
HEADERS += MeshSceneGraph/nodes/Core/MESH_Switch.h
HEADERS += MeshSceneGraph/nodes/Core/MESH_Transform.h
HEADERS += MeshSceneGraph/nodes/Core/MESH_Vertex.h
HEADERS += MeshSceneGraph/nodes/Core/MESH_X3DGroupingNode.h
HEADERS += MeshSceneGraph/nodes/Core/MESH_X3DMeshNode.h
HEADERS += MeshSceneGraph/nodes/Core/MESH_X3DNode.h
HEADERS += MeshSceneGraph/nodes/Core/MESH_X3DVertexNode.h
HEADERS += X3DLoader/componentCreators/X3D_CoreCreator.h
HEADERS += X3DLoader/componentCreators/X3D_Geometry3DCreator.h
HEADERS += X3DLoader/componentCreators/X3D_GroupingCreator.h
HEADERS += X3DLoader/componentCreators/X3D_InterpolationCreator.h
HEADERS += X3DLoader/componentCreators/X3D_LightingCreator.h
HEADERS += X3DLoader/componentCreators/X3D_NavigationCreator.h
HEADERS += X3DLoader/componentCreators/X3D_NetworkingCreator.h
HEADERS += X3DLoader/componentCreators/X3D_NURBSCreator.h
HEADERS += X3DLoader/componentCreators/X3D_RenderingCreator.h
HEADERS += X3DLoader/componentCreators/X3D_ShapeCreator.h
HEADERS += X3DLoader/componentCreators/X3D_TexturingCreator.h
HEADERS += X3DLoader/X3D_Creator.h
HEADERS += X3DLoader/X3D_Loader.h
HEADERS += X3DLoader/X3DLoader.h
HEADERS += X3DLoader/X3D_X3DComponentCreator.h
HEADERS += X3DLoader/X3D_X3DXmlLoader.h
HEADERS += X3DLoader/XercesFileElement.h
HEADERS += X3DSceneGraph/base/X3D_SceneGraphTypes.h
HEADERS += X3DSceneGraph/componentActors/X3D_CoreVisitor.h
HEADERS += X3DSceneGraph/componentActors/X3D_Geometry3DVisitor.h
HEADERS += X3DSceneGraph/componentActors/X3D_GroupingVisitor.h
HEADERS += X3DSceneGraph/componentActors/X3D_InterpolationVisitor.h
HEADERS += X3DSceneGraph/componentActors/X3D_LightingVisitor.h
HEADERS += X3DSceneGraph/componentActors/X3D_NavigationVisitor.h
HEADERS += X3DSceneGraph/componentActors/X3D_NetworkingVisitor.h
HEADERS += X3DSceneGraph/componentActors/X3D_NURBSVisitor.h
HEADERS += X3DSceneGraph/componentActors/X3D_RenderingVisitor.h
HEADERS += X3DSceneGraph/componentActors/X3D_ShapeVisitor.h
HEADERS += X3DSceneGraph/componentActors/X3D_TexturingVisitor.h
HEADERS += X3DSceneGraph/nodes/Core/X3D_Scene.h
HEADERS += X3DSceneGraph/nodes/Core/X3D_X3DNode.h
HEADERS += X3DSceneGraph/nodes/Core/X3D_X3DObject.h
HEADERS += X3DSceneGraph/nodes/Core/X3D_X3DSensorNode.h
HEADERS += X3DSceneGraph/nodes/Geometry3D/X3D_Box.h
HEADERS += X3DSceneGraph/nodes/Geometry3D/X3D_Cone.h
HEADERS += X3DSceneGraph/nodes/Geometry3D/X3D_Cylinder.h
HEADERS += X3DSceneGraph/nodes/Geometry3D/X3D_IndexedFaceSet.h
HEADERS += X3DSceneGraph/nodes/Geometry3D/X3D_Sphere.h
HEADERS += X3DSceneGraph/nodes/Grouping/X3D_Group.h
HEADERS += X3DSceneGraph/nodes/Grouping/X3D_StaticGroup.h
HEADERS += X3DSceneGraph/nodes/Grouping/X3D_Switch.h
HEADERS += X3DSceneGraph/nodes/Grouping/X3D_Transform.h
HEADERS += X3DSceneGraph/nodes/Grouping/X3D_X3DBoundedObject.h
HEADERS += X3DSceneGraph/nodes/Grouping/X3D_X3DChildNode.h
HEADERS += X3DSceneGraph/nodes/Grouping/X3D_X3DGroupingNode.h
HEADERS += X3DSceneGraph/nodes/Interpolation/X3D_ColorInterpolator.h
HEADERS += X3DSceneGraph/nodes/Interpolation/X3D_CoordinateInterpolator2D.h
HEADERS += X3DSceneGraph/nodes/Interpolation/X3D_CoordinateInterpolator.h
HEADERS += X3DSceneGraph/nodes/Interpolation/X3D_NormalInterpolator.h
HEADERS += X3DSceneGraph/nodes/Interpolation/X3D_OrientationInterpolator.h
HEADERS += X3DSceneGraph/nodes/Interpolation/X3D_PositionInterpolator2D.h
HEADERS += X3DSceneGraph/nodes/Interpolation/X3D_PositionInterpolator.h
HEADERS += X3DSceneGraph/nodes/Interpolation/X3D_ScalarInterpolator.h
HEADERS += X3DSceneGraph/nodes/Interpolation/X3D_X3DInterpolatorNode.h
HEADERS += X3DSceneGraph/nodes/Lighting/X3D_DirectionalLight.h
HEADERS += X3DSceneGraph/nodes/Lighting/X3D_PointLight.h
HEADERS += X3DSceneGraph/nodes/Lighting/X3D_SpotLight.h
HEADERS += X3DSceneGraph/nodes/Lighting/X3D_X3DLightNode.h
HEADERS += X3DSceneGraph/nodes/Navigation/X3D_Collision.h
HEADERS += X3DSceneGraph/nodes/Networking/X3D_Inline.h
HEADERS += X3DSceneGraph/nodes/Networking/X3D_X3DUrlObject.h
HEADERS += X3DSceneGraph/nodes/NURBS/X3D_Contour2D.h
HEADERS += X3DSceneGraph/nodes/NURBS/X3D_ContourPolyline2D.h
HEADERS += X3DSceneGraph/nodes/NURBS/X3D_NurbsCurve2D.h
HEADERS += X3DSceneGraph/nodes/NURBS/X3D_NurbsCurve.h
HEADERS += X3DSceneGraph/nodes/NURBS/X3D_NurbsGroup.h
HEADERS += X3DSceneGraph/nodes/NURBS/X3D_NurbsPositionInterpolator.h
HEADERS += X3DSceneGraph/nodes/NURBS/X3D_NurbsSurface.h
HEADERS += X3DSceneGraph/nodes/NURBS/X3D_NurbsTextureSurface.h
HEADERS += X3DSceneGraph/nodes/NURBS/X3D_TrimmedSurface.h
HEADERS += X3DSceneGraph/nodes/NURBS/X3D_X3DParametricGeometryNode.h
HEADERS += X3DSceneGraph/nodes/Rendering/X3D_Color.h
HEADERS += X3DSceneGraph/nodes/Rendering/X3D_ColorRGBA.h
HEADERS += X3DSceneGraph/nodes/Rendering/X3D_Coordinate.h
HEADERS += X3DSceneGraph/nodes/Rendering/X3D_IndexedLineSet.h
HEADERS += X3DSceneGraph/nodes/Rendering/X3D_Normal.h
HEADERS += X3DSceneGraph/nodes/Rendering/X3D_PointSet.h
HEADERS += X3DSceneGraph/nodes/Rendering/X3D_TriangleFanSet.h
HEADERS += X3DSceneGraph/nodes/Rendering/X3D_TriangleSet.h
HEADERS += X3DSceneGraph/nodes/Rendering/X3D_TriangleStripSet.h
HEADERS += X3DSceneGraph/nodes/Rendering/X3D_X3DColorNode.h
HEADERS += X3DSceneGraph/nodes/Rendering/X3D_X3DComposedGeometryNode.h
HEADERS += X3DSceneGraph/nodes/Rendering/X3D_X3DCoordinateNode.h
HEADERS += X3DSceneGraph/nodes/Rendering/X3D_X3DGeometricPropertyNode.h
HEADERS += X3DSceneGraph/nodes/Rendering/X3D_X3DGeometry3DNode.h
HEADERS += X3DSceneGraph/nodes/Rendering/X3D_X3DGeometryNode.h
HEADERS += X3DSceneGraph/nodes/Rendering/X3D_X3DNormalNode.h
HEADERS += X3DSceneGraph/nodes/Shape/X3D_Appearance.h
HEADERS += X3DSceneGraph/nodes/Shape/X3D_FillProperties.h
HEADERS += X3DSceneGraph/nodes/Shape/X3D_LineProperties.h
HEADERS += X3DSceneGraph/nodes/Shape/X3D_Material.h
HEADERS += X3DSceneGraph/nodes/Shape/X3D_Shape.h
HEADERS += X3DSceneGraph/nodes/Shape/X3D_X3DAppearanceChildNode.h
HEADERS += X3DSceneGraph/nodes/Shape/X3D_X3DAppearanceNode.h
HEADERS += X3DSceneGraph/nodes/Shape/X3D_X3DMaterialNode.h
HEADERS += X3DSceneGraph/nodes/Shape/X3D_X3DShapeNode.h
HEADERS += X3DSceneGraph/nodes/Texturing/X3D_ImageTexture.h
HEADERS += X3DSceneGraph/nodes/Texturing/X3D_TextureCoordinate.h
HEADERS += X3DSceneGraph/nodes/Texturing/X3D_TextureTransform.h
HEADERS += X3DSceneGraph/nodes/Texturing/X3D_X3DTexture2DNode.h
HEADERS += X3DSceneGraph/nodes/Texturing/X3D_X3DTextureCoordinateNode.h
HEADERS += X3DSceneGraph/nodes/Texturing/X3D_X3DTextureNode.h
HEADERS += X3DSceneGraph/nodes/Texturing/X3D_X3DTextureTransform2DNode.h
HEADERS += X3DSceneGraph/nodes/Texturing/X3D_X3DTextureTransformNode.h
SOURCES += functionalities/generic/Cloner/ClonerAbstractVisitor.cpp
SOURCES += functionalities/generic/Cloner/Cloner.cpp
SOURCES += functionalities/generic/Cloner/ClonerStateVariables.cpp
SOURCES += functionalities/generic/commonProcessors/GL_X3DRenderer.cpp
SOURCES += functionalities/generic/commonProcessors/GL_X3DUpdater.cpp
SOURCES += functionalities/generic/commonProcessors/X3DMemReleaser.cpp
SOURCES += functionalities/generic/commonProcessors/X3D_X3DBBoxUpdater.cpp
SOURCES += functionalities/generic/commonProcessors/X3D_X3DFileValidator.cpp
SOURCES += functionalities/generic/commonProcessors/X3D_X3DGLBuilder.cpp
SOURCES += functionalities/generic/commonProcessors/X3D_X3DSceneSaver.cpp
SOURCES += functionalities/generic/GraphTester/GraphTesterAbstractVisitor.cpp
SOURCES += functionalities/generic/GraphTester/GraphTester.cpp
SOURCES += functionalities/generic/GraphTester/GraphTesterStateVariables.cpp
SOURCES += functionalities/generic/MemReleaser/MemReleaserAbstractVisitor.cpp
SOURCES += functionalities/generic/MemReleaser/MemReleaser.cpp
SOURCES += functionalities/generic/MemReleaser/MemReleaserStateVariables.cpp
SOURCES += functionalities/generic/SimpleX3DGLScene/SimpleX3DGLScene.cpp
SOURCES += functionalities/GL/GL_Renderer/GL_BBox.cpp
SOURCES += functionalities/GL/GL_Renderer/GL_BBoxDrawArray.cpp
SOURCES += functionalities/GL/GL_Renderer/GL_RendererCoreVisitor.cpp
SOURCES += functionalities/GL/GL_Renderer/GL_Renderer.cpp
SOURCES += functionalities/GL/GL_Renderer/GL_RendererGroupingVisitor.cpp
SOURCES += functionalities/GL/GL_Renderer/GL_RendererRenderingVisitor.cpp
SOURCES += functionalities/GL/GL_Renderer/GL_RendererShapeVisitor.cpp
SOURCES += functionalities/GL/GL_Renderer/GL_RendererStateVariables.cpp
SOURCES += functionalities/GL/GL_Renderer/GL_RendererTexturingVisitor.cpp
SOURCES += functionalities/GL/GL_Updater/GL_UpdaterCoreVisitor.cpp
SOURCES += functionalities/GL/GL_Updater/GL_Updater.cpp
SOURCES += functionalities/GL/GL_Updater/GL_UpdaterStateVariables.cpp
SOURCES += functionalities/MESH/MESH_ConnectedComComputer/MESH_ConnectedComComputerCoreVisitor.cpp
SOURCES += functionalities/MESH/MESH_ConnectedComComputer/MESH_ConnectedComComputer.cpp
SOURCES += functionalities/MESH/MESH_ConnectedComComputer/MESH_ConnectedComComputerMeshCoreVisitor.cpp
SOURCES += functionalities/MESH/MESH_ConnectedComComputer/MESH_ConnectedComComputerStateVariables.cpp
SOURCES += functionalities/X3D/X3D_BBoxUpdater/X3D_BBoxUpdaterCoreVisitor.cpp
SOURCES += functionalities/X3D/X3D_BBoxUpdater/X3D_BBoxUpdater.cpp
SOURCES += functionalities/X3D/X3D_BBoxUpdater/X3D_BBoxUpdaterGeometry3DVisitor.cpp
SOURCES += functionalities/X3D/X3D_BBoxUpdater/X3D_BBoxUpdaterGroupingVisitor.cpp
SOURCES += functionalities/X3D/X3D_BBoxUpdater/X3D_BBoxUpdaterNavigationVisitor.cpp
SOURCES += functionalities/X3D/X3D_BBoxUpdater/X3D_BBoxUpdaterRenderingVisitor.cpp
SOURCES += functionalities/X3D/X3D_BBoxUpdater/X3D_BBoxUpdaterShapeVisitor.cpp
SOURCES += functionalities/X3D/X3D_BBoxUpdater/X3D_BBoxUpdaterStateVariables.cpp
SOURCES += functionalities/X3D/X3D_CoordMerger/X3D_CoordMerger.cpp
SOURCES += functionalities/X3D/X3D_CoordMerger/X3D_CoordMergerRenderingVisitor.cpp
SOURCES += functionalities/X3D/X3D_CoordMerger/X3D_CoordMergerStateVariables.cpp
SOURCES += functionalities/X3D/X3D_FileValidator/X3D_FileValidatorCoreVisitor.cpp
SOURCES += functionalities/X3D/X3D_FileValidator/X3D_FileValidator.cpp
SOURCES += functionalities/X3D/X3D_FileValidator/X3D_FileValidatorGeometry3DVisitor.cpp
SOURCES += functionalities/X3D/X3D_FileValidator/X3D_FileValidatorStateVariables.cpp
SOURCES += functionalities/X3D/X3D_GLBuilder/X3D_GLBuilderCoreVisitor.cpp
SOURCES += functionalities/X3D/X3D_GLBuilder/X3D_GLBuilder.cpp
SOURCES += functionalities/X3D/X3D_GLBuilder/X3D_GLBuilderGeometry3DVisitor.cpp
SOURCES += functionalities/X3D/X3D_GLBuilder/X3D_GLBuilderGroupingVisitor.cpp
SOURCES += functionalities/X3D/X3D_GLBuilder/X3D_GLBuilderNavigationVisitor.cpp
SOURCES += functionalities/X3D/X3D_GLBuilder/X3D_GLBuilderRenderingVisitor.cpp
SOURCES += functionalities/X3D/X3D_GLBuilder/X3D_GLBuilderShapeVisitor.cpp
SOURCES += functionalities/X3D/X3D_GLBuilder/X3D_GLBuilderStateVariables.cpp
SOURCES += functionalities/X3D/X3D_GLBuilder/X3D_GLBuilderTexturingVisitor.cpp
SOURCES += functionalities/X3D/X3D_InlineLoader/X3D_InlineLoaderCoreVisitor.cpp
SOURCES += functionalities/X3D/X3D_InlineLoader/X3D_InlineLoader.cpp
SOURCES += functionalities/X3D/X3D_InlineLoader/X3D_InlineLoaderNetworkingVisitor.cpp
SOURCES += functionalities/X3D/X3D_InlineLoader/X3D_InlineLoaderStateVariables.cpp
SOURCES += functionalities/X3D/X3D_SceneSaver/X3D_SceneSaver.cpp
SOURCES += functionalities/X3D/X3D_SceneSaver/X3D_SceneSaverGetCoreVisitor.cpp
SOURCES += functionalities/X3D/X3D_SceneSaver/X3D_SceneSaverSetCoreVisitor.cpp
SOURCES += functionalities/X3D/X3D_SceneSaver/X3D_SceneSaverStateVariables.cpp
SOURCES += functionalities/X3D/X3D_SceneSaver/X3D_SceneSaverWriteCoreVisitor.cpp
SOURCES += functionalities/X3D/X3D_SharedCoordComputer/X3D_SharedCoordComputer.cpp
SOURCES += functionalities/X3D/X3D_SharedCoordComputer/X3D_SharedCoordComputerRenderingVisitor.cpp
SOURCES += functionalities/X3D/X3D_SharedCoordComputer/X3D_SharedCoordComputerStateVariables.cpp
SOURCES += functionalities/X3D/X3D_WorldCoordTranslator/X3D_WorldCoordTranslator.cpp
SOURCES += functionalities/X3D/X3D_WorldCoordTranslator/X3D_WorldCoordTranslatorMulCoreVisitor.cpp
SOURCES += functionalities/X3D/X3D_WorldCoordTranslator/X3D_WorldCoordTranslatorMulGroupingVisitor.cpp
SOURCES += functionalities/X3D/X3D_WorldCoordTranslator/X3D_WorldCoordTranslatorMulNavigationVisitor.cpp
SOURCES += functionalities/X3D/X3D_WorldCoordTranslator/X3D_WorldCoordTranslatorMulRenderingVisitor.cpp
SOURCES += functionalities/X3D/X3D_WorldCoordTranslator/X3D_WorldCoordTranslatorReplaceGroupingVisitor.cpp
SOURCES += functionalities/X3D/X3D_WorldCoordTranslator/X3D_WorldCoordTranslatorShareCoreVisitor.cpp
SOURCES += functionalities/X3D/X3D_WorldCoordTranslator/X3D_WorldCoordTranslatorStateVariables.cpp
SOURCES += GLSceneGraph/componentActors/GL_CoreVisitor.cpp
SOURCES += GLSceneGraph/componentActors/GL_Geometry3DVisitor.cpp
SOURCES += GLSceneGraph/componentActors/GL_GroupingVisitor.cpp
SOURCES += GLSceneGraph/componentActors/GL_RenderingVisitor.cpp
SOURCES += GLSceneGraph/componentActors/GL_ShapeVisitor.cpp
SOURCES += GLSceneGraph/componentActors/GL_TexturingVisitor.cpp
SOURCES += GLSceneGraph/nodes/Core/GL_Scene.cpp
SOURCES += GLSceneGraph/nodes/Core/GL_X3DNode.cpp
SOURCES += GLSceneGraph/nodes/Geometry3D/BoxDrawArray.cpp
SOURCES += GLSceneGraph/nodes/Geometry3D/ConeDrawArray.cpp
SOURCES += GLSceneGraph/nodes/Geometry3D/CylinderDrawArray.cpp
SOURCES += GLSceneGraph/nodes/Geometry3D/GL_Box.cpp
SOURCES += GLSceneGraph/nodes/Geometry3D/GL_Cone.cpp
SOURCES += GLSceneGraph/nodes/Geometry3D/GL_Cylinder.cpp
SOURCES += GLSceneGraph/nodes/Geometry3D/GL_IndexedFaceSet.cpp
SOURCES += GLSceneGraph/nodes/Geometry3D/GL_Sphere.cpp
SOURCES += GLSceneGraph/nodes/Geometry3D/SphereDrawArray.cpp
SOURCES += GLSceneGraph/nodes/Grouping/GL_Group.cpp
SOURCES += GLSceneGraph/nodes/Grouping/GL_StaticGroup.cpp
SOURCES += GLSceneGraph/nodes/Grouping/GL_Switch.cpp
SOURCES += GLSceneGraph/nodes/Grouping/GL_Transform.cpp
SOURCES += GLSceneGraph/nodes/Grouping/GL_X3DChildNode.cpp
SOURCES += GLSceneGraph/nodes/Grouping/GL_X3DGroupingNode.cpp
SOURCES += GLSceneGraph/nodes/Rendering/GL_IndexedLineSet.cpp
SOURCES += GLSceneGraph/nodes/Rendering/GL_PointSet.cpp
SOURCES += GLSceneGraph/nodes/Rendering/GL_TriangleFanSet.cpp
SOURCES += GLSceneGraph/nodes/Rendering/GL_TriangleSet.cpp
SOURCES += GLSceneGraph/nodes/Rendering/GL_TriangleStripSet.cpp
SOURCES += GLSceneGraph/nodes/Rendering/GL_X3DComposedGeometryNode.cpp
SOURCES += GLSceneGraph/nodes/Rendering/GL_X3DGeometry3DNode.cpp
SOURCES += GLSceneGraph/nodes/Rendering/GL_X3DGeometryNode.cpp
SOURCES += GLSceneGraph/nodes/Shape/GL_Appearance.cpp
SOURCES += GLSceneGraph/nodes/Shape/GL_FillProperties.cpp
SOURCES += GLSceneGraph/nodes/Shape/GL_LineProperties.cpp
SOURCES += GLSceneGraph/nodes/Shape/GL_Material.cpp
SOURCES += GLSceneGraph/nodes/Shape/GL_Shape.cpp
SOURCES += GLSceneGraph/nodes/Shape/GL_X3DAppearanceChildNode.cpp
SOURCES += GLSceneGraph/nodes/Shape/GL_X3DAppearanceNode.cpp
SOURCES += GLSceneGraph/nodes/Shape/GL_X3DMaterialNode.cpp
SOURCES += GLSceneGraph/nodes/Shape/GL_X3DShapeNode.cpp
SOURCES += GLSceneGraph/nodes/Texturing/GL_ImageTexture.cpp
SOURCES += GLSceneGraph/nodes/Texturing/GL_TextureTransform.cpp
SOURCES += GLSceneGraph/nodes/Texturing/GL_X3DTexture2DNode.cpp
SOURCES += GLSceneGraph/nodes/Texturing/GL_X3DTextureNode.cpp
SOURCES += GLSceneGraph/nodes/Texturing/GL_X3DTextureTransform2DNode.cpp
SOURCES += GLSceneGraph/nodes/Texturing/GL_X3DTextureTransformNode.cpp
SOURCES += kernel/abstractNode/CreationFunction.cpp
SOURCES += kernel/abstractNode/SFComponent.cpp
SOURCES += kernel/abstractNode/SFSceneGraph.cpp
SOURCES += kernel/abstractNode/SFType.cpp
SOURCES += kernel/abstractNode/X3DAbstractNode.cpp
SOURCES += kernel/image/Image.cpp
SOURCES += kernel/image/JPGImageType.cpp
SOURCES += kernel/processor/AbstractVisitor.cpp
SOURCES += kernel/processor/BaseRecorder.cpp
SOURCES += kernel/processor/DFSGraphTraversal.cpp
SOURCES += kernel/processor/DFSWalker.cpp
SOURCES += kernel/processor/EnterFunction.cpp
SOURCES += kernel/processor/GraphTraversal.cpp
SOURCES += kernel/processor/LeaveFunction.cpp
SOURCES += kernel/processor/ProcessHistory.cpp
SOURCES += kernel/processor/Progress.cpp
SOURCES += kernel/processor/StateVariables.cpp
SOURCES += kernel/processor/VisitingFunctions.cpp
SOURCES += kernel/processor/Visitor.cpp
SOURCES += kernel/processor/Walker.cpp
SOURCES += kernel/processor/WalkOnFunction.cpp
SOURCES += kernel/processor/X3DActor.cpp
SOURCES += kernel/processor/X3DComponent.cpp
SOURCES += kernel/processor/X3DComponentVisitor.cpp
SOURCES += kernel/processor/X3DFunction.cpp
SOURCES += kernel/processor/X3DMultiPassProcessor.cpp
SOURCES += kernel/processor/X3DOnePassProcessor.cpp
SOURCES += kernel/processor/X3DProcessor.cpp
SOURCES += kernel/types/BBox.cpp
SOURCES += kernel/types/CLog.cpp
SOURCES += kernel/types/SFMatrix34f.cpp
SOURCES += kernel/types/SFPoint2f.cpp
SOURCES += kernel/types/SFPoint3f.cpp
SOURCES += kernel/types/SFString.cpp
SOURCES += kernel/types/SFVec2f.cpp
SOURCES += kernel/types/SFVec3f.cpp
SOURCES += kernel/types/X3DBaseTypes.cpp
SOURCES += kernel/types/X3DFileElement.cpp
SOURCES += kernel/types/X3DTypesToSFString.cpp
SOURCES += MeshSceneGraph/base/MESH_BaseSFEdge.cpp
SOURCES += MeshSceneGraph/base/MESH_BaseSFFace.cpp
SOURCES += MeshSceneGraph/base/MESH_BaseSFVertex.cpp
SOURCES += MeshSceneGraph/componentActors/MESH_CoreVisitor.cpp
SOURCES += MeshSceneGraph/nodes/Core/MESH_MeshData.cpp
SOURCES += MeshSceneGraph/nodes/Core/MESH_Scene.cpp
SOURCES += MeshSceneGraph/nodes/Core/MESH_Shape.cpp
SOURCES += MeshSceneGraph/nodes/Core/MESH_Switch.cpp
SOURCES += MeshSceneGraph/nodes/Core/MESH_Transform.cpp
SOURCES += MeshSceneGraph/nodes/Core/MESH_X3DGroupingNode.cpp
SOURCES += MeshSceneGraph/nodes/Core/MESH_X3DMeshNode.cpp
SOURCES += MeshSceneGraph/nodes/Core/MESH_X3DNode.cpp
SOURCES += MeshSceneGraph/nodes/Core/MESH_X3DVertexNode.cpp
SOURCES += X3DLoader/componentCreators/X3D_CoreCreator.cpp
SOURCES += X3DLoader/componentCreators/X3D_Geometry3DCreator.cpp
SOURCES += X3DLoader/componentCreators/X3D_GroupingCreator.cpp
SOURCES += X3DLoader/componentCreators/X3D_InterpolationCreator.cpp
SOURCES += X3DLoader/componentCreators/X3D_LightingCreator.cpp
SOURCES += X3DLoader/componentCreators/X3D_NavigationCreator.cpp
SOURCES += X3DLoader/componentCreators/X3D_NetworkingCreator.cpp
SOURCES += X3DLoader/componentCreators/X3D_NURBSCreator.cpp
SOURCES += X3DLoader/componentCreators/X3D_RenderingCreator.cpp
SOURCES += X3DLoader/componentCreators/X3D_ShapeCreator.cpp
SOURCES += X3DLoader/componentCreators/X3D_TexturingCreator.cpp
SOURCES += X3DLoader/X3D_Creator.cpp
SOURCES += X3DLoader/X3D_Loader.cpp
SOURCES += X3DLoader/X3DLoader.cpp
SOURCES += X3DLoader/X3D_X3DComponentCreator.cpp
SOURCES += X3DLoader/X3D_X3DXmlLoader.cpp
SOURCES += X3DSceneGraph/componentActors/X3D_CoreVisitor.cpp
SOURCES += X3DSceneGraph/componentActors/X3D_Geometry3DVisitor.cpp
SOURCES += X3DSceneGraph/componentActors/X3D_GroupingVisitor.cpp
SOURCES += X3DSceneGraph/componentActors/X3D_InterpolationVisitor.cpp
SOURCES += X3DSceneGraph/componentActors/X3D_LightingVisitor.cpp
SOURCES += X3DSceneGraph/componentActors/X3D_NavigationVisitor.cpp
SOURCES += X3DSceneGraph/componentActors/X3D_NetworkingVisitor.cpp
SOURCES += X3DSceneGraph/componentActors/X3D_NURBSVisitor.cpp
SOURCES += X3DSceneGraph/componentActors/X3D_RenderingVisitor.cpp
SOURCES += X3DSceneGraph/componentActors/X3D_ShapeVisitor.cpp
SOURCES += X3DSceneGraph/componentActors/X3D_TexturingVisitor.cpp
SOURCES += X3DSceneGraph/nodes/Core/X3D_Scene.cpp
SOURCES += X3DSceneGraph/nodes/Core/X3D_X3DNode.cpp
SOURCES += X3DSceneGraph/nodes/Core/X3D_X3DObject.cpp
SOURCES += X3DSceneGraph/nodes/Core/X3D_X3DSensorNode.cpp
SOURCES += X3DSceneGraph/nodes/Geometry3D/X3D_Box.cpp
SOURCES += X3DSceneGraph/nodes/Geometry3D/X3D_Cone.cpp
SOURCES += X3DSceneGraph/nodes/Geometry3D/X3D_Cylinder.cpp
SOURCES += X3DSceneGraph/nodes/Geometry3D/X3D_IndexedFaceSet.cpp
SOURCES += X3DSceneGraph/nodes/Geometry3D/X3D_Sphere.cpp
SOURCES += X3DSceneGraph/nodes/Grouping/X3D_Group.cpp
SOURCES += X3DSceneGraph/nodes/Grouping/X3D_StaticGroup.cpp
SOURCES += X3DSceneGraph/nodes/Grouping/X3D_Switch.cpp
SOURCES += X3DSceneGraph/nodes/Grouping/X3D_Transform.cpp
SOURCES += X3DSceneGraph/nodes/Grouping/X3D_X3DBoundedObject.cpp
SOURCES += X3DSceneGraph/nodes/Grouping/X3D_X3DChildNode.cpp
SOURCES += X3DSceneGraph/nodes/Grouping/X3D_X3DGroupingNode.cpp
SOURCES += X3DSceneGraph/nodes/Interpolation/X3D_ColorInterpolator.cpp
SOURCES += X3DSceneGraph/nodes/Interpolation/X3D_CoordinateInterpolator2D.cpp
SOURCES += X3DSceneGraph/nodes/Interpolation/X3D_CoordinateInterpolator.cpp
SOURCES += X3DSceneGraph/nodes/Interpolation/X3D_NormalInterpolator.cpp
SOURCES += X3DSceneGraph/nodes/Interpolation/X3D_OrientationInterpolator.cpp
SOURCES += X3DSceneGraph/nodes/Interpolation/X3D_PositionInterpolator2D.cpp
SOURCES += X3DSceneGraph/nodes/Interpolation/X3D_PositionInterpolator.cpp
SOURCES += X3DSceneGraph/nodes/Interpolation/X3D_ScalarInterpolator.cpp
SOURCES += X3DSceneGraph/nodes/Interpolation/X3D_X3DInterpolatorNode.cpp
SOURCES += X3DSceneGraph/nodes/Lighting/X3D_DirectionalLight.cpp
SOURCES += X3DSceneGraph/nodes/Lighting/X3D_PointLight.cpp
SOURCES += X3DSceneGraph/nodes/Lighting/X3D_SpotLight.cpp
SOURCES += X3DSceneGraph/nodes/Lighting/X3D_X3DLightNode.cpp
SOURCES += X3DSceneGraph/nodes/Navigation/X3D_Collision.cpp
SOURCES += X3DSceneGraph/nodes/Networking/X3D_Inline.cpp
SOURCES += X3DSceneGraph/nodes/Networking/X3D_X3DUrlObject.cpp
SOURCES += X3DSceneGraph/nodes/NURBS/X3D_Contour2D.cpp
SOURCES += X3DSceneGraph/nodes/NURBS/X3D_ContourPolyline2D.cpp
SOURCES += X3DSceneGraph/nodes/NURBS/X3D_NurbsCurve2D.cpp
SOURCES += X3DSceneGraph/nodes/NURBS/X3D_NurbsCurve.cpp
SOURCES += X3DSceneGraph/nodes/NURBS/X3D_NurbsGroup.cpp
SOURCES += X3DSceneGraph/nodes/NURBS/X3D_NurbsPositionInterpolator.cpp
SOURCES += X3DSceneGraph/nodes/NURBS/X3D_NurbsSurface.cpp
SOURCES += X3DSceneGraph/nodes/NURBS/X3D_NurbsTextureSurface.cpp
SOURCES += X3DSceneGraph/nodes/NURBS/X3D_TrimmedSurface.cpp
SOURCES += X3DSceneGraph/nodes/NURBS/X3D_X3DParametricGeometryNode.cpp
SOURCES += X3DSceneGraph/nodes/Rendering/X3D_Color.cpp
SOURCES += X3DSceneGraph/nodes/Rendering/X3D_ColorRGBA.cpp
SOURCES += X3DSceneGraph/nodes/Rendering/X3D_Coordinate.cpp
SOURCES += X3DSceneGraph/nodes/Rendering/X3D_IndexedLineSet.cpp
SOURCES += X3DSceneGraph/nodes/Rendering/X3D_Normal.cpp
SOURCES += X3DSceneGraph/nodes/Rendering/X3D_PointSet.cpp
SOURCES += X3DSceneGraph/nodes/Rendering/X3D_TriangleFanSet.cpp
SOURCES += X3DSceneGraph/nodes/Rendering/X3D_TriangleSet.cpp
SOURCES += X3DSceneGraph/nodes/Rendering/X3D_TriangleStripSet.cpp
SOURCES += X3DSceneGraph/nodes/Rendering/X3D_X3DColorNode.cpp
SOURCES += X3DSceneGraph/nodes/Rendering/X3D_X3DComposedGeometryNode.cpp
SOURCES += X3DSceneGraph/nodes/Rendering/X3D_X3DCoordinateNode.cpp
SOURCES += X3DSceneGraph/nodes/Rendering/X3D_X3DGeometricPropertyNode.cpp
SOURCES += X3DSceneGraph/nodes/Rendering/X3D_X3DGeometry3DNode.cpp
SOURCES += X3DSceneGraph/nodes/Rendering/X3D_X3DGeometryNode.cpp
SOURCES += X3DSceneGraph/nodes/Rendering/X3D_X3DNormalNode.cpp
SOURCES += X3DSceneGraph/nodes/Shape/X3D_Appearance.cpp
SOURCES += X3DSceneGraph/nodes/Shape/X3D_FillProperties.cpp
SOURCES += X3DSceneGraph/nodes/Shape/X3D_LineProperties.cpp
SOURCES += X3DSceneGraph/nodes/Shape/X3D_Material.cpp
SOURCES += X3DSceneGraph/nodes/Shape/X3D_Shape.cpp
SOURCES += X3DSceneGraph/nodes/Shape/X3D_X3DAppearanceChildNode.cpp
SOURCES += X3DSceneGraph/nodes/Shape/X3D_X3DAppearanceNode.cpp
SOURCES += X3DSceneGraph/nodes/Shape/X3D_X3DMaterialNode.cpp
SOURCES += X3DSceneGraph/nodes/Shape/X3D_X3DShapeNode.cpp
SOURCES += X3DSceneGraph/nodes/Texturing/X3D_ImageTexture.cpp
SOURCES += X3DSceneGraph/nodes/Texturing/X3D_TextureCoordinate.cpp
SOURCES += X3DSceneGraph/nodes/Texturing/X3D_TextureTransform.cpp
SOURCES += X3DSceneGraph/nodes/Texturing/X3D_X3DTexture2DNode.cpp
SOURCES += X3DSceneGraph/nodes/Texturing/X3D_X3DTextureCoordinateNode.cpp
SOURCES += X3DSceneGraph/nodes/Texturing/X3D_X3DTextureNode.cpp
SOURCES += X3DSceneGraph/nodes/Texturing/X3D_X3DTextureTransform2DNode.cpp
SOURCES += X3DSceneGraph/nodes/Texturing/X3D_X3DTextureTransformNode.cpp

contains(DEFINES, LIBXML) {
  HEADERS += X3DLoader/libXMLFileElement.h
  SOURCES += X3DLoader/libXMLFileElement.cpp
  HEADERS += X3DLoader/X3D_libXMLLoader.h
  SOURCES += X3DLoader/X3D_libXMLLoader.cpp
}
contains(DEFINES, XERCES) {
  HEADERS += X3DLoader/XercesFileElement.h
  SOURCES += X3DLoader/XercesFileElement.cpp
  HEADERS += X3DLoader/X3D_XercesLoader.h
  SOURCES += X3DLoader/X3D_XercesLoader.cpp
}
contains(DEFINES, QT) {
  HEADERS += X3DLoader/QFileElement.h
  SOURCES += X3DLoader/QFileElement.cpp
  HEADERS += X3DLoader/X3D_QLoader.h
  SOURCES += X3DLoader/X3D_QLoader.cpp
}
